<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC "-//Apache Software Foundation//DTD Struts  
Configuration 2.1//EN" "http://struts.apache.org/dtds/struts-2.1.dtd"> 

<struts>
    <constant name="struts.devMode" value="true" />
    <package name="default" namespace="/" extends="struts-default">
        
        
        <action name="categoria" class="acciones.CategoriaAction">
            <result name="input">categoria/Formulario.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        <action name="categoriaSave" class="acciones.CategoriaAction" method="save">
            <result name="input">categoria/Formulario.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        <action name="categoriaInput" class="acciones.CategoriaAction" method="input">
            <result name="input">categoria/Formulario.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        
        <!-- DETALLE     1    -->
        
        <action name="categoriaDetalle1" class="acciones.CategoriaAction" method="input">
            <result name="input">categoria/detalle1.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>    
        
         <action name="categoriaDetalle2" class="acciones.CategoriaAction" method="input">
            <result name="input">categoria/detalle2.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>  
        
               
                      
                             
                                    
                                                  
        
        <action name="categoriaRemove" class="acciones.CategoriaAction" method="remove">
            <result name="input">categoria/Formulario.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        <action name="categoriaList" class="acciones.CategoriaAction" method="list">
            <result name="input">categoria/Formulario.jsp</result>
            <result name="ok">categoria/Mensaje.jsp</result>
            <result>categoria/Listar.jsp</result>
            
        </action>
        <action name="categoriaSearch" class="acciones.CategoriaAction" method="search">
            <result name="input">categoria/Listar.jsp</result>
            <result name="ok">categoria/Listar.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        
        
        
        <action name="categoriaindice" class="acciones.CategoriaAction" method="indice">
            <result name="input">categoria/Listar.jsp</result>
            <result name="ok">categoria/Listar.jsp</result>
            <result>categoria/Listar.jsp</result>
        </action>
        
        
        
        
        

        
        
        
        
        
        

    </package>    
</struts>
